I have the vs500 which has the 7.0 update which means its past the 5.0 system update requirement but doesn’t show up on the compatibility list or uncompatible list but the game says it’s not available in my country im in the US

Asked question